Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class SlideLayout

    java.lang.Object
      org.apache.poi.xslf.usermodel.SlideLayout

    public class SlideLayout

extends java.lang.Object

Date: 11/5/11

Author:
  Yegor Kozlov

Field Summary
`static SlideLayout` | `BLANK` Blank
`static SlideLayout` | `CHART` Title and chart
`static SlideLayout` | `CHART_AND_TEXT` Title, chart on left and text on right
`static SlideLayout` | `CLIP_ART_AND_TEXT` Title, clipart on left, text on right
`static SlideLayout` | `CLIP_ART_AND_VERT_TX`
`static SlideLayout` | `CUST`
`static SlideLayout` | `DGM`
`static SlideLayout` | `FOUR_OBJ`
`static SlideLayout` | `MEDIA_AND_TX`
`static SlideLayout` | `OBJ_AND_TWO_OBJ`
`static SlideLayout` | `OBJ_AND_TX`
`static SlideLayout` | `OBJ_ONLY`
`static SlideLayout` | `OBJ_OVER_TX`
`static SlideLayout` | `OBJ_TX`
`static SlideLayout` | `PIC_TX`
`static SlideLayout` | `SECTION_HEADER` Section Header
`static SlideLayout` | `TBL`
`static SlideLayout` | `TEXT` Title and text
`static SlideLayout` | `TEXT_AND_CHART`
`static SlideLayout` | `TITLE` Title layout with centered title and subtitle placeholders
`static SlideLayout` | `TITLE_AND_CONTENT` title and content
`static SlideLayout` | `TITLE_ONLY` Title only
`static SlideLayout` | `TWO_COL_TX`
`static SlideLayout` | `TWO_OBJ`
`static SlideLayout` | `TWO_OBJ_AND_OBJ`
`static SlideLayout` | `TWO_OBJ_AND_TX`
`static SlideLayout` | `TWO_OBJ_OVER_TX`
`static SlideLayout` | `TWO_TX_TWO_OBJ`
`static SlideLayout` | `TX_AND_CLIP_ART`
`static SlideLayout` | `TX_AND_MEDIA`
`static SlideLayout` | `TX_AND_OBJ`
`static SlideLayout` | `TX_AND_TWO_OBJ`
`static SlideLayout` | `TX_OVER_OBJ`
`static SlideLayout` | `VERT_TITLE_AND_TX`
`static SlideLayout` | `VERT_TITLE_AND_TX_OVER_CHART`
`static SlideLayout` | `VERT_TX`

Constructor Summary
`SlideLayout()`

Method Summary
`static SlideLayout[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final SlideLayout TITLE

  Title layout with centered title and subtitle placeholders

### TEXT

    public static final SlideLayout TEXT

  Title and text

### TWO_COL_TX

    public static final SlideLayout TWO_COL_TX

### TBL

    public static final SlideLayout TBL

### TEXT_AND_CHART

    public static final SlideLayout TEXT_AND_CHART

### CHART_AND_TEXT

    public static final SlideLayout CHART_AND_TEXT

  Title, chart on left and text on right

### DGM

    public static final SlideLayout DGM

### CHART

    public static final SlideLayout CHART

  Title and chart

### TX_AND_CLIP_ART

    public static final SlideLayout TX_AND_CLIP_ART

### CLIP_ART_AND_TEXT

    public static final SlideLayout CLIP_ART_AND_TEXT

  Title, clipart on left, text on right

### TITLE_ONLY

    public static final SlideLayout TITLE_ONLY

  Title only

### BLANK

    public static final SlideLayout BLANK

  Blank

### TX_AND_OBJ

    public static final SlideLayout TX_AND_OBJ

### OBJ_AND_TX

    public static final SlideLayout OBJ_AND_TX

### OBJ_ONLY

    public static final SlideLayout OBJ_ONLY

### TITLE_AND_CONTENT

    public static final SlideLayout TITLE_AND_CONTENT

  title and content

### TX_AND_MEDIA

    public static final SlideLayout TX_AND_MEDIA

### MEDIA_AND_TX

    public static final SlideLayout MEDIA_AND_TX

### OBJ_OVER_TX

    public static final SlideLayout OBJ_OVER_TX

### TX_OVER_OBJ

    public static final SlideLayout TX_OVER_OBJ

### TX_AND_TWO_OBJ

    public static final SlideLayout TX_AND_TWO_OBJ

### TWO_OBJ_AND_TX

    public static final SlideLayout TWO_OBJ_AND_TX

### TWO_OBJ_OVER_TX

    public static final SlideLayout TWO_OBJ_OVER_TX

### FOUR_OBJ

    public static final SlideLayout FOUR_OBJ

### VERT_TX

    public static final SlideLayout VERT_TX

### CLIP_ART_AND_VERT_TX

    public static final SlideLayout CLIP_ART_AND_VERT_TX

### VERT_TITLE_AND_TX

    public static final SlideLayout VERT_TITLE_AND_TX

### VERT_TITLE_AND_TX_OVER_CHART

    public static final SlideLayout VERT_TITLE_AND_TX_OVER_CHART

### TWO_OBJ

    public static final SlideLayout TWO_OBJ

### OBJ_AND_TWO_OBJ

    public static final SlideLayout OBJ_AND_TWO_OBJ

### TWO_OBJ_AND_OBJ

    public static final SlideLayout TWO_OBJ_AND_OBJ

### CUST

    public static final SlideLayout CUST

### SECTION_HEADER

    public static final SlideLayout SECTION_HEADER

  Section Header

### TWO_TX_TWO_OBJ

    public static final SlideLayout TWO_TX_TWO_OBJ

### OBJ_TX

    public static final SlideLayout OBJ_TX

### PIC_TX

    public static final SlideLayout PIC_TX

Constructor Detail

### SlideLayout

    public SlideLayout()

Method Detail

### values

    public static SlideLayout[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD